
package org.eclipse.higgins.idas.cp.jndi.L10n;

import org.eclipse.osgi.util.NLS;


public class JNDIContextMessages extends NLS {
	private static final String BUNDLE_NAME = "org.eclipse.higgins.idas.cp.jndi.L10n.JNDIContextMessages"; //$NON-NLS-1$
   
   
   public static String JNDICNTXT_NO_JNDI_CONN;
   public static String JNDICNTXT_NO_UNIQUE_IDENTITY;
   public static String JNDICNTXT_OPEN_WITH_USER;
   public static String JNDICNTXT_OPEN_WITH_DIGITALMATERIALS;
   public static String JNDICNTXT_OPEN_WITH_PRIV_USER;
   public static String JNDICNTXT_OPEN_WITH_ANONYMOUSMATERIALS;
   public static String JNDICNTXT_NO_SASLSAML_CLIENT;
   public static String JNDICNTXT_UNSUPPORTED_FORMAT_SAML_ASSERT;
   public static String JNDICNTXT_UNSUPPORTED_AUTHN_MATERIALS;
   public static String JNDICNTXT_START_TLS_MSG;
   public static String JNDICNTXT_OPENED_CNTXT_INFO;
   public static String JNDICNTXT_NO_ENTITY_ID;
   public static String JNDICNTXT_NO_JNDI_SERVICE_CONFIGURED;
   public static String JNDICNTXT_INITIAL_CNTXT;
   public static String JNDICNTXT_CONNECTION_FAILURE;
   public static String JNDICNTXT_CNTXT_CLOSED;
   public static String JNDICNTXT_COPYRIGHT_TEXT;
   public static String JNDICNTXT_HIGGINS_LDAP_ONTOLOGY;
   public static String JNDICNTXT_SEARCH_ENTITY_EID;
   public static String JNDICNTXT_NO_UNIQUE_EID;
   public static String JNDICNTXT_CMPRTR_NOT_SUPPORTED;
   public static String JNDICNTXT_NOT_SUPPORTED_COMPLEX_VALUES;
   public static String JNDICNTXT_NOT_SUPPORTED_OPERATOR;
   public static String JNDICNTXT_FILTER_SEARCH_INFO;
   public static String JNDICNTXT_STRING_FILTER_INFO;
   public static String JNDICNTXT_NO_STRUCURAL_CLASS_FOUND;
   public static String JNDICNTXT_EXPECTED_VALUE_INFO;
   public static String JNDICNTXT_NO_STRUCURALOBJECT_CLASS_FOUND;
   public static String JNDICNTXT_APPLY_UPDATE;
   public static String JNDICNTXT_CHANGE;
   public static String JNDICNTXT_CHANGES;
   public static String JNDICNTXT_APPLIED;
   public static String JNDICNTXT_UPDATE_ENTRY;
   public static String JNDICNTXT_UNALLOWED_ATTR_VAL_NOTIFICATION;
   public static String JNDICNTXT_ENTITY_NOTIFICATION;
   public static String JNDICNTXT_ATTR_NOTIFICATION;
   public static String JNDICNTXT_ADD_JNDI_ATTR_VAL;
   public static String JNDICNTXT_CANNOT_CONVERT_TO_JNDI_ATTR;
   public static String JNDICNTXT_CANNOT_CONVERT_TO_JNDI_ATTR_INFO;
   public static String JNDICNTXT_CONVERT_TO_PROVIDER_ATTR;
   public static String JNDICNTXT_CNTX_PROVIDER_INST_MSG;
   public static String JNDICNTXT_NO_EID_SET;
   public static String JNDICNTXT_NO_TYPE_SET;
   public static String JNDICNTXT_STRING_MSG;
   public static String JNDICNTXT_BYTE_MSG;
   public static String JNDICNTXT_ALLREADY_ADDED_ATTR_SET;
   public static String JNDICNTXT_ATTR_CONTAINER_MSG;
   public static String JNDICNTXT_ATTR_UPDATE_NOTIFICATION_MSG;
   
   static {
      NLS.initializeMessages(BUNDLE_NAME, JNDIContextMessages.class);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1)
   {
   	Object msgparms[] = generateMsgParms(o1);
   	return NLS.bind(msgid,msgparms);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2)
   {
   	Object msgparms[] = generateMsgParms(o1,o2);
   	return NLS.bind(msgid,msgparms);
   }
   //similarly add for 4 or more no of parameterized values
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2,java.lang.Object o3)
   {
   	Object msgparms[] = generateMsgParms(o1,o2,o3);
   	return NLS.bind(msgid,msgparms);
   }
   public static Object[] generateNullMsgParms()
   {
       Object parms[] = new Object[1];
       parms[0] = null;
       return parms;
   }
   
   public static Object[] generateMsgParms(Object parm1)
   {
       Object parms[] = new Object[1];
       parms[0] = parm1;
       return parms;
   }

   public static Object[] generateMsgParms(Object parm1, Object parm2)
   {
       Object parms[] = new Object[2];
       parms[0] = parm1;
       parms[1] = parm2;
       return parms;
   }

   
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3)
   {
       Object parms[] = new Object[3];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4)
   {
       Object parms[] = new Object[4];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       parms[3] = parm4;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5)
   {
       Object parms[] = new Object[5];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       parms[3] = parm4;
       parms[4] = parm5;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
      Object parm6)
   {
	  Object parms[] = new Object[6];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  return parms;
   }
   
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
      Object parm6, Object parm7)
   {
	  Object parms[] = new Object[7];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  parms[6] = parm7;
	  return parms;
   }


	public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
	      Object parm6, Object parm7, Object parm8)
	{
	  Object parms[] = new Object[8];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  parms[6] = parm7;
	  parms[7] = parm8;
	  return parms;
	}
}